aboutsummaryrefslogtreecommitdiffstats
path: root/src/scripts/remove-rpath
diff options
context:
space:
mode:
Diffstat (limited to 'src/scripts/remove-rpath')
-rwxr-xr-xsrc/scripts/remove-rpath37
1 files changed, 37 insertions, 0 deletions
diff --git a/src/scripts/remove-rpath b/src/scripts/remove-rpath
new file mode 100755
index 00000000000..3e20b06dbfa
--- /dev/null
+++ b/src/scripts/remove-rpath
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+# Copyright (c) 2015 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -z $1 ]; then
+ echo "Please specify path"
+ exit 1
+fi
+
+which chrpath &> /dev/null
+
+if [ $? -ne 0 ] ; then
+ echo "Please install chrpath tool"
+ exit 1
+fi
+
+libs=$(find $1 -type f -name \*.so\*)
+execs=$(find $1 -type f -path \*/bin/\* )
+
+for i in $libs $execs; do
+ chrpath $i 2> /dev/null | grep -q build-root
+ if [ $? -eq 0 ] ; then
+ chrpath -d $i
+ fi
+done
+